This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 463185 - [LTC 6.0 FEAT] 201699:libcgroup (User space library for resource management)
[LTC 6.0 FEAT] 201699:libcgroup (User space library for resource management)
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: distribution (Show other bugs)
6.0
All All
high Severity high
: alpha
: 6.0
Assigned To: Linda Wang
Ben Levenson
: FutureFeature
Depends On:
Blocks: 356741 554559
  Show dependency treegraph
 
Reported: 2008-09-22 11:11 EDT by IBM Bug Proxy
Modified: 2010-11-11 10:26 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-11 10:26:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description IBM Bug Proxy 2008-09-22 11:11:10 EDT
=Comment: #0=================================================
Emily J. Ratliff <emilyr@us.ibm.com> - 2008-09-16 18:21 EDT
1. Feature Overview:
Feature Id:	[201699]
a. Name of Feature:	libcgroup (User space library for resource management)
b. Feature Description
The current mainline Linux Kernel has resource management features integrated into it. This includes
the CPU controller, memory controller, CPU accounting, task grouping framework and statistics
framework. More work is being aggressively carried out and more controllers are being proposed. The
package (libcgroup) provides user space ABI to allow applications to deal with the internals of the
control group filesystem.

Additional Comments:	We maintain the library at libcg.sf.net and we've got good community traction.
We already have the package in F9 and F10. We'll continue to develop/enhance the package to
iteratively add features.

2. Feature Details:
Sponsor:	LTC
Architectures:
x86
x86_64
ppc64

Arch Specificity: Purely Common Code
Delivery Mechanism: Direct from community
Category:	Kernel
Request Type:	Package - Feature from IBM
d. Upstream Acceptance:	Accepted
Sponsor Priority	1
f. Severity: High
IBM Confidential:	no
Code Contribution:	IBM code
g. Component Version Target:	libcgroup 0.1c

3. Business Case
Resource management is one of the most important outstanding features which Linux lacks relative to
other enterprise operating systems. Enabling this feature provides a user space API and management
to a number of IBM management products (eg: DB2, LoadLeveler).

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Sarah Wright, sarah@us.ibm.com

Technical contact(s):
Balbir Singh, balbir.singh@in.ibm.com
Comment 1 IBM Bug Proxy 2009-03-02 23:40:32 EST
The version of libcgroup to be picked up is 0.33 which is already available in rawhide.
Comment 3 John Jarvis 2009-12-17 15:24:29 EST
This enhancement request was evaluated by the full Red Hat Enterprise Linux 
team for inclusion in a Red Hat Enterprise Linux major release.   As a 
result of this evaluation, Red Hat has tentatively approved inclusion of 
this feature in the next Red Hat Enterprise Linux major release.   
While it is a goal to include this enhancement in the next major release 
of Red Hat Enterprise Linux, the enhancement is not yet committed for 
inclusion in the next major release pending the next phase of actual 
code integration and successful Red Hat and partner testing.
Comment 4 Dennis Gregorovic 2010-02-04 22:45:33 EST
# find RHEL6.0-20100203.3/6/{StandardServer,Workstation}/i386/os/ -name *libcgroup*
RHEL6.0-20100203.3/6/StandardServer/i386/os/Packages/libcgroup-0.34-4.el6.i686.rpm
RHEL6.0-20100203.3/6/Workstation/i386/os/Packages/libcgroup-0.34-4.el6.i686.rpm
Comment 5 IBM Bug Proxy 2010-05-10 01:41:00 EDT
------- Comment From bharata@linux.vnet.ibm.com 2010-05-10 01:39 EDT-------
Installed libcgroup rpm and verified that it mounts various controllers as specifed in /etc/cgconfig during boot.
Comment 7 releng-rhel@redhat.com 2010-11-11 10:26:05 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.